Skip to main content
GET
/
v1
/
batches
List Batches
curl --request GET \
  --url https://api.example.com/v1/batches
{
  "data": [
    {
      "completion_window": "<string>",
      "created_at": 123,
      "endpoint": "<string>",
      "id": "<string>",
      "job_id": "<string>",
      "input_file_id": "<string>",
      "request_counts": {
        "completed": 123,
        "failed": 123,
        "total": 123
      },
      "status": "validating",
      "cancelled_at": 123,
      "cancelling_at": 123,
      "completed_at": 123,
      "error_file_id": "<string>",
      "errors": {
        "data": [
          {
            "code": "<string>",
            "line": 123,
            "message": "<string>",
            "param": "<string>"
          }
        ],
        "object": "list"
      },
      "expired_at": 123,
      "expires_at": 123,
      "failed_at": 123,
      "finalizing_at": 123,
      "in_progress_at": 123,
      "metadata": {},
      "object": "batch",
      "output_file_id": "<string>"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true,
  "object": "list"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getimpala.ai/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

after
string | null
limit
integer | null
default:20
Required range: 1 <= x <= 100

Response

Successful Response

data
BatchModel · object[]
required

A list of batch objects.

first_id
string | null
required

The ID of the first batch in the list.

last_id
string | null
required

The ID of the last batch in the list.

has_more
boolean
required

Whether there are more batches available after this list.

object
string
default:list

The object type, which is always list.

Allowed value: "list"